Subject: Re: Launching Prolog from Java

From: [email-masked] (Uwe Lesta)
Date: Fri, 17 Nov 2000 18:07:17 +0100

Pierre Nugues schrieb:
> 
> Dear Steffen, Fred, and Paul,
> 
> Thank you for pointing me to the Process class. It's exactly what I was
> looking for.
> 
> I tried a small code to write and read data from Prolog. I used the Process
> class in a Java program and I wrote a small loop to do I/O that I redirected
> to Prolog using the getInputStream and getOutputStream methods. I wrote a
> symmetrical I/O loop in Prolog using get0/1 read/1 and write/1.
> 
> Java launched the plwin.exe correctly but nothing happened with the I/O.
> Prolog prompts me |: and still attempts to read from the keyboard and
> apparently doesn't receives any data from Java. Something seems to happen
> however when I close Prolog using ^C.
> 
> Do you know why or do you have a complete small code sample. I'm using Win98
> and Plwin.exe

Try to use PlCon.exe
On Plwin you can't redirect the I/O steams via the commandline
redirection

-- 

Regards

Uwe
[email-masked]